<html version="2.0">
<head>
<title>MPI Users and Actual Users</title>
</head>
<body>
<center>
<a name="MPIUsers">
<h1>LDAS MPI Users</h1>
</center>
<br><br>
<a name="MPIUsers">
<h2>MPI Users</h2><p>
This page displays the list of search users in the LDAS MPI job queue.
a site when you hit <b>SUBMIT</b> button to submit the request.<p>

<img src='cmonClient-mpiQueue.gif' width="800" height="600"><p><p>

Response:<p>
Each item in the list is an MPI User e.g. search26, the affilated LDAS job
id, the number of nodes used, the list of nodes used and the
shared object being loaded.

<br><br>
<a name="VerifyUsers">
<br><br>
<h2>Beowulf Users</h2><p>
This page displays all the wrapperAPI jobs on all nodes at a given instance
at a site when you hit <b>SUBMIT</b> button to submit the request.<p>

<img src='cmonClient-mpiUsers.gif' width="800" height="600"><p><p>

Response: <p>
each item on the list shows the total number of nodes in used by
a search user and the actual nodes used.
Compare this to the information listed in the MPI Users queue to verify
that wrapper jobs have been started.

<br><br>
<a name="nodeUsers">
<h2>Nodes Users</h2><p>
This page issues a test to check out all nodes and beowulf users on the
system to see if they are ready for ldas jobs.  A dataPipeline is
submitted for each search user to use the nodes on the system and the
logs are used to verify that wrapper jobs have been started and completed.
If there is any errors e.g. nodes not connected, jobs failed 
the test fails and the errors are reported at the display window.<p>

<img src='cmonClient-nodesUsers.gif' width="800" height="600"><p><p>

Response: <p>
The indicator on the top right window shows when the test is run and whether it passed
or failed. More details are displayed in the bottom window.
<p>Debug flags:<p>
The cntlmonAPI resource variable <b>DEBUG_NODESUSERS</b> can be set for the following purposes:
<ul>
    <li>Test mode: set <b>::DEBUG_NODESUSERS</b> to 0xff to run only 3 jobs just to make sure
    the test can be executed.</li><p>
    <li>Non-verbose mode: set <b>::DEBUG_NODESUSERS</b> to 0 will output only error messages
    in the window.</li><p>
    <li>Verbose mode: set <b>::DEBUG_NODESUSERS</b> to 1 will output intermediate and error messages
    in the window (see image above). </li><p>
</ul>

<br><br>
<a name="NodeUsage">
<br><br>
<h2>Beowulf Node Usage</h2><p>
This page displays load and memory usage and system statistics 
for a set of nodes at a site when you hit <b>SUBMIT</b> button to submit the request.<p>
The actual node names are displayed when the mouse is placed over the
submit button since the nodes may not be in exact dictionary order
and some nodes may be taken out.

<img src='cmonClient-nodeUsage.gif' width="800" height="600"><p><p>

Response: <p>
each item on the list shows per node: uptime, number of jobs and beowulf users, cpu idle time,
memory usage, swap space and buffers usage. 

<p>
</body>
</html>
